Bug 1129902 - Review Request: python-gitapi - Pure-Python API to git, which uses the command-line interface
Summary: Review Request: python-gitapi - Pure-Python API to git, which uses the comman...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 22:20 UTC by Julien Enselme
Modified: 2014-09-23 04:34 UTC (History)
3 users (show)

Fixed In Version: python-gitapi-1.0.0-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 10:11:00 UTC
e: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-08-13 22:20:53 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-gitapi.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-gitapi-1.0.0-1.fc20.src.rpm
Description: 
gitapi is a pure-Python API to git, which uses the command-line interface.

Fedora Account System Username: jujens

Comment 3 Eduardo Mayorga 2014-08-29 00:12:22 UTC
A few notes:

- You must include a license file if upstream decides to not distribute a license text copy.
See: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

- You need to fix the shebang for both, python2 and python3 scripts. This can solve the problem:

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

- rpmlint warnings need attention. "gitapi is a"... in the summary is superfluous. It's better just to leave it as Pure-Python API to git... (note it's capitalized).

And for wrong-script-end-of-line-encoding, see: http://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

Comment 4 Julien Enselme 2014-08-29 19:44:00 UTC
I included the license file.

I have corrected the rpmlint errors.

Concerning shebang: I didn't find any (and I think than rpmlint can spot this).

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-gitapi.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-gitapi-1.0.0-4.fc20.src.rpm

Comment 5 Eduardo Mayorga 2014-08-29 22:14:51 UTC
Query upstream to clarify the license. "License: Do whatever you want, don't blame me" just leads to confusion. The copyright text in README.rst looks like a MIT license variant, and the author consider it as a 'more permissive license'. Moreover, "You may also use this software as licensed under the MIT or BSD licenses" sounds risky. I'd prefer to consult fedora-legal about this before approving this package.

I posted this thread: https://lists.fedoraproject.org/pipermail/legal/2014-August/002497.html

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/reviews/1129902-python-
     gitapi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-gitapi
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
     -> Please ask upstream to include a license file with next release.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-gitapi-1.0.0-4.fc22.noarch.rpm
          python3-gitapi-1.0.0-4.fc22.noarch.rpm
          python-gitapi-1.0.0-4.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-gitapi python-gitapi
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-gitapi (rpmlib, GLIBC filtered):
    git
    python(abi)

python-gitapi (rpmlib, GLIBC filtered):
    git
    python(abi)



Provides
--------
python3-gitapi:
    python3-gitapi

python-gitapi:
    python-gitapi



Source checksums
----------------
https://pypi.python.org/packages/source/g/gitapi/gitapi-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 854815eb37fc67fa05ecc6057aa04debac31695b8ae5bf2b7d0cf981b0d78691
  CHECKSUM(SHA256) upstream package : 854815eb37fc67fa05ecc6057aa04debac31695b8ae5bf2b7d0cf981b0d78691

Comment 6 Tom "spot" Callaway 2014-09-02 15:36:18 UTC
Eh, just mark it as MIT or BSD and move on. :)

Lifting FE-Legal.

Comment 7 Eduardo Mayorga 2014-09-02 19:57:24 UTC
Adding your license file would have been a bit simpler by using another Source tag. Anyway, I'm fine with it.

You should add a link to your pull request for Patch1. You can do this before importing.

PACKAGE APPROVED!

Comment 8 Julien Enselme 2014-09-02 21:17:27 UTC
New Package SCM Request
=======================
Package Name: python-gitapi
Short Description: gitapi is a pure-Python API to git, which uses the command-line interface.
Upstream URL: https://bitbucket.org/haard/gitapi
Owners: jujens
Branches: f20 f21

Comment 9 Gwyn Ciesla 2014-09-03 10:47:32 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-09-03 16:15:04 UTC
python-gitapi-1.0.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-gitapi-1.0.0-4.fc21

Comment 11 Fedora Update System 2014-09-03 16:15:10 UTC
python-gitapi-1.0.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-gitapi-1.0.0-4.fc20

Comment 12 Fedora Update System 2014-09-06 01:01:26 UTC
python-gitapi-1.0.0-4.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2014-09-19 10:11:00 UTC
python-gitapi-1.0.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-09-23 04:34:50 UTC
python-gitapi-1.0.0-4.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.